<div class="content-wrapper noselect">
  <div class="version-indicator">
    <ion-button
      matTooltip="{{
        'TOOLTIPS.UPDATE_AVAILABLE'
          | translate : { version: latestAvailableVersion }
      }}"
      [matTooltipDisabled]="isTooltipsDisabled"
      color="dark"
      size="small"
      fill="clear"
      (click)="onDownloadUpdate()"
      *ngIf="playerID == undefined && hasUpdateAvailable"
    >
      <ion-icon color="success" name="cloud-download-outline"></ion-icon>
    </ion-button>
    {{ appVersion }}
  </div>

  <div class="voice-indicator-wrapper" *ngIf="!(playerID == undefined)">
    <div
      class="voice-indicator"
      [ngClass]="{ 'voice-active': isOwnVoiceActive }"
    ></div>
    <div class="voice-own-label">
      {{
        !(playerName == undefined)
          ? playerName
          : ("DASHBOARD.OWN_VOICE_LABEL" | translate)
      }}
      <div class="voice-own-id">{{ playerID }}</div>
    </div>
    <div class="voice-last-input" *ngIf="isOwnVoiceActive">
      {{ "(" + lastInput + ")" }}
    </div>
    <div id="{{ playerID }}" class="audio-component"></div>

    <div class="voice-action-buttons">
      <ion-button
        matTooltip="{{
          'TOOLTIPS.UPDATE_AVAILABLE'
            | translate : { version: latestAvailableVersion }
        }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        color="dark"
        size="small"
        fill="clear"
        (click)="onDownloadUpdate()"
        *ngIf="hasUpdateAvailable"
      >
        <ion-icon class="update" name="cloud-download-outline"></ion-icon>
      </ion-button>

      <ion-button
        *ngIf="allowPlayerHiding"
        matTooltip="{{
          (isPlayerHidden
            ? 'TOOLTIPS.UNHIDE_YOURSELF'
            : 'TOOLTIPS.HIDE_YOURSELF'
          ) | translate
        }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        color="dark"
        size="small"
        fill="clear"
        (click)="onHideYourself()"
        [disabled]="!isPlayerHidden && !canHidePlayer"
      >
        <ion-icon name="eye-outline" *ngIf="!isPlayerHidden"></ion-icon>
        <ion-icon name="eye-off-outline" *ngIf="isPlayerHidden"></ion-icon>
        <div class="cooldown-counter" *ngIf="!isPlayerHidden && !canHidePlayer">
          {{ hidePlayerCooldown }}
        </div>
      </ion-button>

      <ion-button
        matTooltip="{{ 'TOOLTIPS.REFRESH_ALL_CONNECTIONS' | translate }}"
        [matTooltipDisabled]="isTooltipsDisabled"
        color="dark"
        size="small"
        fill="clear"
        (click)="onReconnectAll()"
        [disabled]="!canTriggerReconnectToAll"
      >
        <ion-icon name="reload-outline"></ion-icon>
        <div class="cooldown-counter" *ngIf="reconnectToAllCooldown > 0">
          {{ reconnectToAllCooldown }}
        </div>
      </ion-button>
    </div>
  </div>

  <div class="no-player-connected" *ngIf="playerID == undefined">
    <div class="no-player-connected-label">
      {{ "DASHBOARD.NO_PLAYER_CONNECTED_LABEL" | translate }}
    </div>
  </div>

  <div class="remote-players-wrapper">
    <div
      class="remote-players-label"
      [ngClass]="{ inactive: playerID == undefined }"
    >
      {{ "DASHBOARD.NEARBY_PLAYERS_LABEL" | translate }}
    </div>

    <div
      class="no-remote-players-label"
      [ngClass]="{ inactive: playerID == undefined }"
      *ngIf="
        (remotePlayers == undefined || !remotePlayers?.length) &&
        !hideAllPlayerNames
      "
    >
      {{ "DASHBOARD.NO_NEARBY_PLAYERS_LABEL" | translate }}
    </div>
    <div class="anti-name-snipe-wrapper" *ngIf="hideAllPlayerNames">
      <div class="anti-name-snipe-label">
        {{ "DASHBOARD.HIDE_PLAYER_NAMES_LABEL" | translate }}
      </div>
    </div>

    <div
      class="remote-player"
      [ngClass]="{
        'hide-player-name': hideAllPlayerNames || player.playerIsHidden
      }"
      *ngFor="let player of remotePlayers"
    >
      <div
        class="remote-voice-indicator"
        [ngClass]="{
          'voice-active': isRemoteVoiceActive(player),
          'voice-disconnected': isRemoteVoiceDisconnected(player),
          'voice-connecting': isRemoteVoiceConnecting(player),
          'voice-broken': isRemoteVoiceMalfunctioning(player),
        }"
      >
        <div id="{{ player.id }}" class="audio-component"></div>
        <div
          class="no-input-found-indicator"
          *ngIf="isRemoteVoiceMalfunctioning(player)"
        >
          <ion-icon name="mic-off-outline" size="small"></ion-icon>
        </div>
      </div>
      <div class="remote-voice-id">
        {{
          showPlayerNamesInsteadOfIdentification
            ? player?.name
            : showMaskedPlayerIdentification
            ? getRandomPlayerName(player)
            : player?.id
        }}
        <div class="remote-distance" *ngIf="!isProduction">
          ({{ getPlayerDistance(player) }}{{ getPlayerVoiceMode(player) }})
        </div>

        <div class="remote-version">
          {{ player?.version }}
        </div>
      </div>
      <!-- // TESTING -->
      <!-- <div class="remove-voice-level">
        <ion-progress-bar class="volume-level-bar" [value]="getPlayerAudioLevel(player)"></ion-progress-bar>
      </div> -->
      <div class="remote-action-buttons">
        <ion-button
          matTooltip="{{ 'TOOLTIPS.SETTINGS' | translate }}"
          [matTooltipDisabled]="isTooltipsDisabled"
          color="dark"
          size="small"
          fill="clear"
          (click)="onPlayerSettings(player)"
        >
          <ion-icon
            name="volume-mute-outline"
            *ngIf="volume(player) <= 0"
          ></ion-icon>

          <ion-icon
            name="volume-low-outline"
            *ngIf="volume(player) < 0.3333 && volume(player) > 0"
          ></ion-icon>

          <ion-icon
            name="volume-medium-outline"
            *ngIf="volume(player) >= 0.3333 && volume(player) < 0.6666"
          ></ion-icon>

          <ion-icon
            name="volume-high-outline"
            *ngIf="volume(player) >= 0.6666"
          ></ion-icon>
        </ion-button>

        <ion-button
          matTooltip="{{ 'TOOLTIPS.REFRESH_CONNECTION' | translate }}"
          [matTooltipDisabled]="isTooltipsDisabled"
          color="dark"
          size="small"
          fill="clear"
          (click)="onReconnect(player)"
          [disabled]="!canTriggerReconnectToPlayer(player)"
        >
          <ion-icon name="refresh-outline"></ion-icon>
          <div
            class="cooldown-counter"
            *ngIf="getReconnectToPlayerCooldown(player) > 0"
          >
            {{ getReconnectToPlayerCooldown(player) }}
          </div>
        </ion-button>
      </div>
    </div>
  </div>
</div>
